package ui.view;

import javax.swing.JPanel;
import javax.swing.JScrollPane;

import classes.HolonObject;
import classes.SubNet;
import ui.controller.Control;

import java.awt.Color;
import java.awt.Dimension;

import javax.swing.BoxLayout;

public class FlexiblePane extends JScrollPane {
	private JPanel flexPanel;
	private Control controller;
	
	public FlexiblePane(Control controller) {
		this.controller = controller;
		flexPanel = new JPanel();
		flexPanel.setLayout(new BoxLayout(flexPanel, BoxLayout.X_AXIS));
		setViewportView(flexPanel);
		flexPanel.add(new FlexibleData("MainGrid" ,0 ,0));
		flexPanel.add(new FlexibleData("SubNet", 1, 1));
	}
	
	public void recalculate(){
		flexPanel.removeAll();
		int counter = 1;
		for(SubNet sn: controller.getSimManager().getSubNets()){
			float subProd = 0;
			float subCons = 0;
			for(HolonObject hl: sn.getObjects()){
				subProd += hl.getFlexProd();
				subCons += hl.getFlexCons();
				flexPanel.add(new FlexibleData(hl.getName()+" "+hl.getId(),
						hl.getFlexProd(), hl.getFlexCons()));
			}
			flexPanel.add(new FlexibleData("Subnet "+ counter, subProd, subCons));
			counter++;
		}
	}

}
